#!/bin/bash -e
# run wcfs tests under custom linux kernel

if test -z "$qrun_loglevel"; then
	# flags for `go build`
	goflags=""
	case "$1" in
		-race)	# enable race-detector
			goflags="$goflags $1"
			shift;;
	esac

	go build $goflags	# rebuild wcfs
	linux=${LINUX:-$HOME/src/linux/linux/arch/`uname -m`/boot/bzImage}
	exec ../t/qemu-runlinux "$linux" $0 "$@"
fi

# executed under qemu-runlinux
#export WENDELIN_CORE_WCFS_OPTIONS="-d -alsologtostderr -v=1"
#screen	-Logfile /tmp/x.0 -L \
py.test	\
	`# disable cache & warnings that it cannot be updated since fs under qrun is read-only`	\
	`# https://stackoverflow.com/a/47893653/9456786`	\
	-p no:cacheprovider	\
 \
	"$@"
